This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1308275 - VDR not working out of the box
VDR not working out of the box
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: vdr (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 18:40 EST by ubach
Modified: 2016-02-14 02:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-14 02:36:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ubach 2016-02-13 18:40:19 EST
Description:
After installing the VDR packages, running 'vdr' results the following error message:
[peter@Cinexin ~]$ vdr
vdr: can't access video directory /var/lib/vdr/video

I have verified the permissions of the user vdr:
[peter@Cinexin ~]$ ls -l /var/lib/vdr/
total 12
drwxr-xr-x. 8 vdr root  4096 feb 13 23:29 data
drwxrwxr-x+ 2 vdr video 4096 ene 11 21:14 video

So the error message doesn't make much sense. I have seen several similar reports around the web. But no useful workaround is suggested anywhere.


Version-Release number of selected component (if applicable):
[peter@Cinexin ~]$ dnf info vdr
Última comprobación de caducidad de metadatos hecha hace 1 day, 0:55:49, el Fri Feb 12 23:40:16 2016.
Paquetes instalados
Nombre      : vdr
Arquitectur : x86_64
Epoch       : 0
Versión     : 2.2.0
Lanzamiento : 8.fc23
Tamaño      : 3.4 M
Repo        : @System
Desde repo  : updates
Resumen     : Video Disk Recorder
URL         : http://www.tvdr.de/
Licencia    : GPLv2+
Descripción : VDR implements a complete digital set-top-box and video recorder.
            : It can work with signals received from satellites (DVB-S) as well as
            : cable (DVB-C) and terrestrial (DVB-T) signals.  At least one DVB card
            : is required to run VDR.

How reproducible:
Allways

Steps to Reproduce:
1. Install vdr
2. run vdr
3.

Actual results: error message reported above


Expected results: start of the GUI of vdr.


Additional info:
Furthermore, the installation package does not create an entry into the applications menu. That would be an expected behavior for every GUI-oriented software.
Comment 1 Ville Skyttä 2016-02-14 02:36:10 EST
vdr is not meant to be run like that, but as a server (systemctl start vdr). It also does not have a GUI in the sense that a menu entry would make sense.

Note You need to log in before you can comment on or make changes to this bug.